Bug 25638

Summary: empty inlines should not affect line-wrapping
Product: WebKit Reporter: Ojan Vafai <ojan>
Component: Layout and RenderingAssignee: Robert Hogan <robert>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, eric, esprehn+autocc, glenn, hyatt, robert, roc, zalan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Mac   
OS: OS X 10.5   
URL: data:text/html, <div style="background-color:red;width:1px">wo<span></span>rd</div>
Attachments:
Description Flags
Patch
none
Patch
hyatt: review+, buildbot: commit-queue-
Archive of layout-test-results from APPLE-EWS-3 for win-future none

Description Ojan Vafai 2009-05-07 20:29:15 PDT
Putting an empty span in the middle of a word should not make the word breakable at the span position.

See this page for an example: http://www.plexode.com/cgi-bin/eval3.py#ht=%3Cdiv%20style%3D%22background-color%3Ared%3Bwidth%3A1px%22%3Ewo%3Cspan%3E%3C%2Fspan%3Erd%3C%2Fdiv%3E&ohh=1&ohj=1&jt=&ojh=1&ojj=1&ms=100&oth=0&otj=0&cex=1

I'm not sure why this is correct, but roc claims it is and this is what IE7 and FF3 do.
Comment 1 Robert O'Callahan 2009-05-07 20:41:49 PDT
The CSS spec does not define linebreaking in enough detail to say whether this bug is valid. However, I think as a matter of principle inserting unstyled <span>s in and around inline content should not change rendering.
Comment 2 Robert Hogan 2013-06-26 12:07:13 PDT
Created attachment 205514 [details]
Patch
Comment 3 Robert Hogan 2013-07-01 10:47:47 PDT
Created attachment 205822 [details]
Patch
Comment 4 Dave Hyatt 2013-07-02 11:24:26 PDT
Comment on attachment 205822 [details]
Patch

r=me
Comment 5 Build Bot 2013-07-02 11:27:51 PDT
Comment on attachment 205822 [details]
Patch

Attachment 205822 [details] did not pass win-ews (win):
Output: http://webkit-queues.appspot.com/results/1018193

New failing tests:
fast/js/global-constructors-attributes-shared-worker.html
fast/forms/select/popup-closes-on-blur.html
fast/media/mq-transform-03.html
editing/selection/user-select-all-image-with-single-click.html
fast/forms/search-event-delay.html
fast/js/global-constructors-attributes-dedicated-worker.html
editing/selection/user-select-all-with-single-click.html
fast/media/mq-transform-02.html
platform/win/accessibility/multiple-select-element-role.html
Comment 6 Build Bot 2013-07-02 11:27:53 PDT
Created attachment 205930 [details]
Archive of layout-test-results from APPLE-EWS-3 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: APPLE-EWS-3  Port: win-future  Platform: CYGWIN_NT-6.1-WOW64-1.7.20-0.266-5-3-i686-32bit
Comment 7 Robert Hogan 2013-07-02 12:32:29 PDT
Committed r152313: <http://trac.webkit.org/changeset/152313>
Comment 8 zalan 2013-07-08 09:26:12 PDT
This caused a regression here: bug 118435